## libgtkada 2.24.1

=== docs/Makefile ===
all:: 
	${MAKE} -C gtkada_rm
	${MAKE} -C gtkada_ug

install::
	${MAKE} -C gtkada_rm install
	${MAKE} -C gtkada_ug install

clean::
	${MAKE} -C gtkada_rm clean
	${MAKE} -C gtkada_ug clean

distclean::
	${MAKE} -C gtkada_rm distclean
	${MAKE} -C gtkada_ug distclean
