=== xml/Makefile ===
include ../src/Makefile.common

MKDIR = mkdir -p

install: force
	${MKDIR} "${DESTDIR}$(prefix)/share/gps/plug-ins"
	${CP} gtkada.xml "${DESTDIR}${prefix}/share/gps/plug-ins/"

force:
