=== examples/cursors/Makefile ===
all:
	gnatmake -Pcursor
run:
	./cursor
clean: 
	gnat clean -Pcursor
