=== examples/user_data/Makefile ===
all:
	gnatmake test_handlers `gtkada-config`
clean:
	${RM} *.o *.ali b~* test_handlers
