=== examples/tutorial/helloworld/Makefile ===
all: force
	gnatmake -g -gnata -gnaty -gnatwu hello `gtkada-config`
clean: 
	rm -f *.o *~ *.ali hello
force:
