=== debian/changelog ===
libgtkada (2.24.1-14) unstable; urgency=low

  [ Jean-Baptiste Lallement ]
  *  Add missing dependency 'libglu1-mesa-dev | libglu-dev' to
     libgtkglada2.24.1-dev. (LP: #1244896) (Closes: #727753)
     This completes the work-around for  #720991 explained in debian/rules.

  [ Nicolas Boulenguez ]
  * Standards-Version: 3.9.5 without changes.
  * source/options: use default compressor for Debian diff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 07 Nov 2013 00:33:29 +0100

libgtkada (2.24.1-13) unstable; urgency=low

  * Revert "share library_dir" changes, which sometimes FTBFS: dynamic/static
    variants of same ALI may conflict depending on compilation order.
  * control (Build-Depends): provide concrete mesa-dev before virtual gl-dev.
  * rules: let info page search images in /usr/share/doc/.
    Only duplicate versioned project for -arch and after the first one exists.
  * source.lintian-overrides: correct syntax.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 28 Aug 2013 14:14:04 +0200

libgtkada (2.24.1-12) unstable; urgency=low

  [Martin Pitt <martin.pitt@ubuntu.com]
  * Add missing libgtkgl2.0-dev dependency to libgtkglada2.24.1-dev (spotted
    by autopkgtest). Closes: #718259.
  * debian/tests/control: Add xvfb test dependency.
  * debian/tests/link-with-shared: Run test program through xvfb as it needs a
    $DISPLAY.

  [Nicolas Boulenguez]
  * Remove any symlink in documentation directories.
  * Build-Depends: unversioned cairo-dev and gl-dev.
  * gtkada-config: more efficient generation. Split arch/indep install
    overrides so that sed is only called for existing package.
  * Share library_dir. Use src/tools/obj/, no reason to create ours.
  * Use pkg-config for LDLIBS. I removed it because it created unneeded
    dependencies, but --as-needed drops them automatically now.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Aug 2013 20:14:26 +0200

libgtkada (2.24.1-11) unstable; urgency=low

  * copyright: now machine-readable.
  * lintian-overrides: a patch removing a non DFSG license must contain it
  * rules, patches/01-doc.diff: typo in manpage, COPYING as license.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 22 Jul 2013 19:24:27 +0200

libgtkada (2.24.1-10) unstable; urgency=low

  * Add -lm to the gtkada.gpr link list (Closes: #695055).
    Patch from Thorsten Glaser.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 15 Jul 2013 19:14:24 +0200

libgtkada (2.24.1-9) unstable; urgency=low

  * control: Testsuite field used by automatic checkers. Closes: #692679.
    Removed obsolete DM-Upload-Allowed field.
    Standards-Version: 3.9.3 -> 3.9.4 without changes.
    Build-Depends: explicit direct dependency on pkg-config.
  * tools.gpr: does not need C flags for Ada only sources.
  * debian/*: use my debian mail address.
  * tests: valid test names may not contain underscores.
    And must not write to stderr if successful.
  * Build-Depends, gtkglada.gpr: use libgtkgl-2.0 instead of src/opengl/*.c.
  * rules: updated run-tests target, cosmetic changes in comments.
  * rules, ada_libraries, control, *.gpr: replaced gprbuild with gnatmake.
    Each library needs its own obj subdirectory for each build.
    Order of linker options becomes compatible with architectures where
    --as-needed is the default.
   I hope that is Closes: #695055 and various shlibs-symbol-not-found.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 11 Jun 2013 11:05:41 +0200

libgtkada (2.24.1-8) unstable; urgency=low
  
  * debian/patches/no_gtkextra.patch: revive, upstream's testgtk still
    depends on GtkExtra which is dead upstream and no longer in Debian.
    Closes: #686781.
  * debian/patches/04-testgtk.patch (testgtk.gpr): force linking with
    libGLU.so since libgtkglada.so is not linked to it.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed,  5 Sep 2012 22:51:30 +0200

libgtkada (2.24.1-7) unstable; urgency=low

  * debian/control (Build-Depends): tighten to gprbuild (>= 2011-2).
    Fixes FTBFS caused by #679061.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 26 Jun 2012 21:39:40 +0200

libgtkada (2.24.1-6) unstable; urgency=low

  * control: Build-Depend dpkg-dev (>= 1.16.2) so that build-arch is
    preferred to build, see http://wiki.debian.org/Build-Depends-Indep
    (this caused a FTBS on mips/mipsel).
  * rules: prepend CPPFLAGS to CFLAGS before exporting to projects
    (hardening preprocessor flags were ignored).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 22 Jun 2012 21:23:55 +0200

libgtkada (2.24.1-5) unstable; urgency=low

  [Nicolas Boulenguez]
  * rules, *.gpr, ada_libraries: switched to dh_ada_library.
  * rules, control, compat: dh (>= 9) should handle build target.
  * control: Standards-Version: 3.9.3 (no changes)
    -dev packages cannot be Multi-Arch: same as they embed a project file
    whose content mentions lib/TRIPLET subdirectories (Closes: #669998).
    -dbg packages can be Multi-Arch: same without Pre-Depends as they do not
    need the linker at install time.
  * rules:
    Standard /usr/share/dpkg/default.mk from dpkg-dev (>= 1.16.1)
    Gprbuild now selects gnatgcc instead of gcc automatically.
  * tests: import versioned project, to test both versions in one go.
  * patches/include_only_glib_h: documented.

  [Ludovic Brenta]
  * Build-Depend: dh-ada-library >= 2 to avoid a bug affecting gtkada.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 10 May 2012 23:49:34 +0200

libgtkada (2.24.1-4) unstable; urgency=low

  [Nicolas Boulenguez]
  * Internal dependencies are very redundant because the package names
    contain version numbers. We generate them with deb-substvars to ease
    next ali or so version bump. This implies a lintian override.
  * Correct -v option in test.

  [Ludovic Brenta]

  * debian/patches/include_only_glib_h.patch: new.  Closes: #665570.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 24 Mar 2012 23:45:17 +0100

libgtkada (2.24.1-3) unstable; urgency=low

  [Nicolas Boulenguez]

