=== debian/changelog ===
libgtkada (2.24.4-1) unstable; urgency=medium

  * New upstream release. Updated repackaging (xz), patches, README.source.
  * Package renamings per Ada policy. Versioned preinst not needed anymore.
  * links: instead of embedding javascript in generated html.
  * lintian-overrides: license not repeated despite file names.
  * rules: run-tests target obsoleted by sadt from devscripts.
  * tests: xvfb-run depends on xauth for Debian tests. Closes: #740742.
  * (Build-)Depends: concrete cairo2-dev before virtual cairo-dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 11 May 2014 16:48:22 +0200
