=== debian/control ===
--- 
+++ 
@@ -4,45 +4,47 @@
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2),
- gnat, gnat-4.6,
+ gnat, gnat-4.9,
+# dh-ada-library 5.4 stops linking doc directories.
  dh-ada-library (>= 5.4),
  pkg-config,
+# *-dev are detailed in rules, and shoud be repeated in Depends: *-dev below.
  libgnomeui-dev,
  libbonoboui2-dev,
  libgtk2.0-dev (>= 2.24.0),
  libgtkgl2.0-dev,
  libgdk-pixbuf2.0-dev,
- libcairo-dev,
+ libcairo2-dev | libcairo-dev,
  libpango1.0-dev,
  libglib2.0-dev,
  libx11-dev,
  libglu1-mesa-dev | libglu-dev,
  libgl1-mesa-dev | libgl-dev
-# dh-ada-library 5.4 stops linking doc directories.
-# *-dev are detailed in rules, and shoud be repeated in Depends: *-dev below.
-Build-Depends-Indep: texinfo, texlive-fonts-recommended,
- texlive-generic-recommended, texlive-latex-base,
- transfig, netpbm, ghostscript
+Build-Depends-Indep:
+ python-sphinx,
+ texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended
 Standards-Version: 3.9.5
 Homepage: http://libre.adacore.com/libre/tools/gtkada
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
 Vcs-Mtn: www.ada-france.org org.debian.libgtkada2
 XS-Testsuite: autopkgtest
 
-Package: libgtkada2.24.1-dev
+Package: libgtkada2.24.4-dev
 Section: libdevel
 Architecture: any
 Depends: ${ada:Depends},
  libgtkada-bin (=${binary:Version}),
- libcairo-dev,
+ libcairo2-dev | libcairo-dev,
  libgdk-pixbuf2.0-dev,
  libglib2.0-dev,
  libgtk2.0-dev (>= 2.24.0),
  libpango1.0-dev,
  libx11-dev,
  ${misc:Depends}
-Suggests: libgnomeada2.24.1-dev (= ${binary:Version}),
- libgtkglada2.24.1-dev (= ${binary:Version}),
+Suggests: libgnomeada2.24.4-dev (= ${binary:Version}),
+ libgtkglada2.24.4-dev (= ${binary:Version}),
  libgtkada-doc (= ${binary:Version})
 Description: Ada binding for the GTK+ GUI (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
@@ -50,7 +52,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgnomeada2.24.1-dev
+Package: libgnomeada2.24.4-dev
 Section: libdevel
 Architecture: any
 Depends: ${ada:Depends},
@@ -64,7 +66,7 @@
  This package contains the development files and static libraries for
  GNOME extensions.
 
-Package: libgtkglada2.24.1-dev
+Package: libgtkglada2.24.4-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends},
@@ -121,7 +123,7 @@
  .
  This package contains the debugging symbols for the OpenGL extensions.
 
-Package: libgtkada2.24.1
+Package: libgtkada2.24.4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -132,7 +134,7 @@
  .
  This library will let you run Ada applications compiled with GTK+.
 
-Package: libgnomeada2.24.1
+Package: libgnomeada2.24.4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -143,7 +145,7 @@
  .
  This library will let you run Ada applications compiled with GNOME.
 
-Package: libgtkglada2.24.1
+Package: libgtkglada2.24.4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -171,7 +173,10 @@
 Package: libgtkada-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+# Link to the packaged versions instead of embedding the source.
+ libjs-jquery,
+ libjs-underscore
 Suggests: gnat
 Replaces: libgtkada2-doc
 Breaks: libgtkada2-doc
@@ -179,5 +184,5 @@
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
  .
- This package contains the User's Guide and Reference Manual for GtkAda, in
- HTML, Info, PDF and ASCII formats.
+ This package contains the User's Guide for GtkAda, in
+ HTML, PDF and plain text formats.
