=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # debian/rules for libgtkada
 # Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2011-2013 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2011-2014 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,11 @@
 
 .SUFFIXES:
 
-binary binary-arch binary-indep build build-arch build-indep clean:
+######################################################################
+POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
+ build-indep clean
+.PHONY: $(POLICY_TARGETS)
+$(POLICY_TARGETS):
 	dh $@ --with ada-library
 
 # Ignore upstream's build system
@@ -49,7 +53,7 @@
 # The override comes very soon, so that every library may append
 # recipes creating a versioned one for compatibility.
 
-override_dh_ada_library::
+override_dh_ada_library-arch::
 	dh_ada_library $(foreach l,gtkada gtkglada gnomeada, \
           KIND=dynamic \
           $(foreach v,$(exported_var_names),"$(v)=$($(v))") \
@@ -82,7 +86,7 @@
 # dh_ada_library has created the first one.
 # The -dev subdir may not exist (for -indep targets).
 ifneq (,$($(1)_VERSIONED_GPR))
-override_dh_ada_library::
+override_dh_ada_library-arch::
 	if cd debian/lib$(1)*-dev/usr/share/ada/adainclude 2> /dev/null; then \
           sed -e "s/library project $(1) is/library project $(1)2 is/" \
               -e "s/end $(1);/end $(1)2;/" \
@@ -220,12 +224,5 @@
 	rm -f $(TESTGTK_TGZ)
 
 ######################################################################
-
 UG_DIR := docs/gtkada_ug
-
-
-UG_TXT  := $(UG_DIR)/gtkada_ug.txt
-override_dh_auto_build-indep: $(UG_TXT)
-override_dh_install-indep::
-	dh_installdocs --package=libgtkada-doc $(UG_TXT)
-
+UG_BUILD := $(UG_DIR)/_build
