## libgtkada 2.24.4dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -11,19 +11,20 @@
 # Some examples are build with project files, others with gtkada-config, so
 # we modify the following two environment variables so that the GtkAda version
 # we just installed can be used to compile the examples
-export ADA_PROJECT_PATH:=${prefix}/lib/gnat${DIRSEP}${ADA_PROJECT_PATH}
-export PATH:=${prefix}/bin:${PATH}
+export ADA_PROJECT_PATH:=${libdir}/gnat${DIRSEP}${ADA_PROJECT_PATH}
+export PATH:=${bindir}:${PATH}
 
 DIRECTORIES=base_widget \
   calendar_combo        \
   composite_widget      \
+  display_switch        \
   doublebuffer          \
   documentation         \
   dynamic_cast          \
   gtk_examples          \
   tutorial              \
-  handlers		\
-  powergnu		\
+  handlers		         \
+  powergnu	          	\
   images                \
   cursors               \
   user_data
@@ -49,6 +50,7 @@
 	  mkdir -p "${DESTDIR}$(examples)/$${dir}"; \
 	  rm -f $${dir}/b~*; \
 	  cp -p $${dir}/*.ad? $${dir}/*.gpr "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
+	  cp -p $${dir}/*.xmp $${dir}/*.png $${dir}/*.tst "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
 	  cp -p $${dir}/Makefile "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
 	  cp -p $${dir}/README "${DESTDIR}$(examples)/$${dir}" 2>/dev/null; \
 	done
