=== examples/base_widget/Makefile ===
all:
	gnatmake -Pdefault
run:
	./main
clean: 
	gnat clean -Pdefault
