=== examples/composite_widget/Makefile ===
all:
	gnatmake -g -gnata -gnaty -gnatwu main `gtkada-config`
run:
	./main

clean: 
	${RM} main *.o *.ali
