=== examples/display_switch/Makefile ===
all:
		gnatmake -Pdisplay_switch
