=== examples/documentation/Makefile ===
EXEC=contextual banner toggle glist_traverse tooltips clist draw

all:
	gnatmake -Pdefault.gpr

clean::
	${RM} *.o *.ali b~* ${EXEC}
