=== examples/dynamic_cast/Makefile ===
all:
	gnatmake -g -gnata -gnatwu dynamic `gtkada-config`

clean:
	${RM} *.o *.ali b~* dynamic
