=== examples/images/Makefile ===
all:
	gnatmake -Prect
run:
	./rect
clean: 
	gnat clean -Prect
