=== debian/changelog ===
libgtkada (2.24.4dfsg-1) unstable; urgency=medium

  * Repackage without GFDL documentation. Closes: #768539.
    - control: drop sphinx build-deps and javascript binary-deps.
    - patches/*, rules, libgtkada-doc.*: do not patch/build/install docs.
    - control: update description of -doc package.
    - copyright, README.source: adjust comments about stripped parts.
    - TODO: no hope to generate the reference manual anymore.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 09 Nov 2014 11:10:15 +0100

libgtkada (2.24.4-2) unstable; urgency=medium

  * Avoid Suggesting: -doc (=binary:Version). During binNMUs, -doc is not
    rebuilt, so =binary:Version cannot be satisfied anymore.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Oct 2014 19:25:08 +0200
