=== debian/control ===
--- 
+++ 
@@ -20,12 +20,7 @@
  libx11-dev,
  libglu1-mesa-dev | libglu-dev,
  libgl1-mesa-dev | libgl-dev
-Build-Depends-Indep:
- python-sphinx,
- texlive-fonts-recommended,
- texlive-latex-extra,
- texlive-latex-recommended
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://libre.adacore.com/libre/tools/gtkada
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libgtkada2
 Vcs-Mtn: www.ada-france.org org.debian.libgtkada2
@@ -45,7 +40,7 @@
  ${misc:Depends}
 Suggests: libgnomeada2.24.4-dev (= ${binary:Version}),
  libgtkglada2.24.4-dev (= ${binary:Version}),
- libgtkada-doc (= ${binary:Version})
+ libgtkada-doc
 Description: Ada binding for the GTK+ GUI (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
@@ -58,7 +53,7 @@
 Depends: ${ada:Depends},
  libgnomeui-dev, libbonoboui2-dev,
  ${misc:Depends}
-Suggests: libgtkada-doc (=${binary:Version})
+Suggests: libgtkada-doc
 Description: Ada binding for the GNOME GUI (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
@@ -73,7 +68,7 @@
  libgtkgl2.0-dev,
  libglu1-mesa-dev | libglu-dev,
  libgl1-mesa-dev | libgl-dev
-Suggests: libgtkada-doc (= ${binary:Version})
+Suggests: libgtkada-doc
 Description: Ada binding for GTK+ OpenGL extensions (development files)
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
@@ -161,7 +156,7 @@
 Section: devel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: gnat, libgtkada-doc (=${binary:Version})
+Suggests: gnat, libgtkada-doc
 Replaces: libgtkada2-bin
 Breaks: libgtkada2-bin
 Description: Ada binding for the GTK+ GUI (development utilities)
@@ -173,10 +168,7 @@
 Package: libgtkada-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-# Link to the packaged versions instead of embedding the source.
- libjs-jquery,
- libjs-underscore
+Depends: ${misc:Depends}
 Suggests: gnat
 Replaces: libgtkada2-doc
 Breaks: libgtkada2-doc
@@ -184,5 +176,13 @@
  GtkAda is a library that allows programmers to write GTK+ applications in the
  Ada programming language.
  .
- This package contains the User's Guide for GtkAda, in
- HTML, PDF and plain text formats.
+ This package contains examples, lists of known problems and comments
+ about the Debian packaging..
+ .
+ The complete GTKAda user guide cannot be distributed by Debian
+ because it is licensed under the GNU Free Documentation License with
+ Invariant Sections and Cover Texts. The reference manual cannot be
+ generated from source without the user guide.
+ They are published by upstream authors at
+ http://docs.adacore.com/gprbuild-docs/html/gprbuild_ug.html and
+ http://docs.adacore.com/gtkada-docs/gtkada_ug/_build/html.
