=== debian/rules ===
--- 
+++ 
@@ -224,5 +224,5 @@
 	rm -f $(TESTGTK_TGZ)
 
 ######################################################################
-UG_DIR := docs/gtkada_ug
-UG_BUILD := $(UG_DIR)/_build
+
+override_dh_compress:
