=== debian/tests/control ===
Tests: link-with-shared
Depends: @, xvfb, xauth
# xvfb-run depends on xauth, see header in /usr/bin/xvfb-run.
